Sonarqube 7.8 directly upgraded to 9.9

  • from 7.8 to 9.9
  • I would like to inquire whether it is possible to upgrade directly from version 7.8 to 9.9,Can I upgrade directly?

Look forward to your reply

Hi,

That’s not possible. As described in the docs:

Upgrading across multiple non-LTS versions is handled automatically. However, if there are one or multiple LTS versions in your migration path, you must first migrate to each intermediate LTS and then to your target version

7.8 → 7.9.x → 8.9.10 → 9.9

You may find the Upgrade Guide and the LTS-to-LTS Upgrade Notes for 7.9 to 8.9, as well as the LTS to LTS release upgrade notes for 8.9 to 9.9 helpful. If you have questions about upgrading, feel free to open a new thread for that here.

 
HTH,
Ann

thanks

I have a question to ask them. They said that downloading plugins can support multiple branches, but when I do this, there are issues with the startup of Sonarqube. I am using the Sonarqube 7.8 community version plugin, which is Sonarqube community brand plugin 1.3.2. jar. When I add two parameters to Sonar.properties, the error is as follows ---->Failed to find Premain-Class manifest attribute in ./extensions/plugins/sonarqube-community-branch-plugin-1.3.2.jar
Can you help me?

HI @frank_z,

Welcome to the community!

You’ve resurrected an old topic for an unrelated question. Please don’t do that.

Regarding your post, your version is past EOL, and you should upgrade to either the latest version or the current LTS at your earliest convenience. Your upgrade path is:

7.8 → 7.9 → 8.9.10 → 9.9.3 → 10.3 (last step optional)

You may find these resources helpful:

If you have questions about upgrading, feel free to open a new thread for that here.

Regarding your question, the community branch plugin is not supported here. You’ll need to ask your questions of its maintainers. Additionally, you should know you use 3rd-party plugins at your own risk, and we have seen some people have DB problems after using that plugin.

 
Ann